% funkce pocita matici geometricke tuhosti 2d ohybaneho prvku
% In: 
%   x - vektor souradnic uzlu prvku (x1,x2, y1, y2)
%   ea- soucin modulu pruznosti a plochy
%   ei- soucin modulu pruznosti a momentu setrvacnosti
%
% Out:
%   ke - lokalni matice tuhosti prvku (6,6)
%   te - transformacni matice prvku (6,6)
%   L - delka prvku
%
function [ke,te,L] = beam2d (x, ea, ei) 

L=sqrt((x(2)-x(1))^2+(x(4)-x(3))^2);
c = (x(2)-x(1))/L; 
s = (x(4)-x(3))/L; 

ke=[ea/L    0   0   -ea/L   0   0;
    0 12*ei/(L*L*L) 6*ei/(L*L) 0 -12*ei/(L*L*L) 6*ei/(L*L);
    0 6*ei/(L*L) 4*ei/L 0 -6*ei/(L*L) 2*ei/L ;
    -ea/L 0 0 ea/L 0 0;
    0 -12*ei/(L*L*L) -6*ei/(L*L) 0 12*ei/(L*L*L) -6*ei/(L*L);
    0 6*ei/(L*L) 2*ei/L 0 -6*ei/(L*L) 4*ei/L ] ;

t=[c s 0 ;
    -s c 0 ;
    0 0 1 ] ;
z=zeros(3,3) ;

te=[t z;
    z t] ;

end


