% funkce pocita matici geometricke tuhosti ohybaneho prutu ve 2d
% In: 
%   L - delka prvku
%   N - normalova sila na prvku
%
%
% Out:
%   ks - lokalni geometricka matice tuhosti prvku (6,6)
%   
%
function ks = sigma2d (L,N) 

ks=-N/(30*L)*[  0 0 0 0 0 0 ;
                0 36 3*L 0 -36 3*L ;
                0 3*L 4*L*L 0 -3*L -L*L ;
                0 0 0 0 0 0 ;
                0 -36 -3*L 0 36 -3*L ;
                0 3*L -L*L 0 -3*L 4*L*L ] ;

% regularizace nulovych radku podle CALu
ks(1,1)=min(ks(2,2),ks(3,3))/1000 ;
ks(4,4)=ks(1,1) ;
ks(1,4)=-ks(1,1);
ks(4,1)=-ks(1,1);
end
